Ошибка: UnicodeEncodeError: 'utf-8' codec can't en

2 years 5 months ago - 2 years 5 months ago #444 by zhuravel
zhuravel created the topic: Ошибка: UnicodeEncodeError: 'utf-8' codec can't en
Добрый день. Установил SOPDS catalog на NAS4Free-9.3.0.2. Удалось настроить и запустить. После выключения NASа ( он работает время от времени) SOPDS самостоятельно не запускается ( с этим необходимо разбираться отдельно). Сделав рестарт в логах появляется ошибка:
2015-11-03 07:53:02,657 INFO     sopdsDaemon __init__()...
2015-11-03 07:53:02,658 INFO     sopdsDaemon stop()...
2015-11-03 07:53:16,331 INFO     sopdsDaemon __init__()...
2015-11-03 07:53:16,332 INFO     sopdsDaemon start()...
2015-11-03 07:53:16,475 INFO     sopdsDaemon entering in main loop...
2015-11-03 07:53:16,476 INFO      ***** Starting sopds-scan...
2015-11-03 07:53:16,875 INFO     sopdsDaemon delpid()...
Traceback (most recent call last):
  File "/usr/local/lib/python3.3/site-packages/mysql/connector/cursor.py", line 381, in _process_params
    res = [to_mysql(i) for i in res]
  File "/usr/local/lib/python3.3/site-packages/mysql/connector/cursor.py", line 381, in <listcomp>
    res = [to_mysql(i) for i in res]
  File "/usr/local/lib/python3.3/site-packages/mysql/connector/conversion.py", line 179, in to_mysql
    return getattr(self, "_{0}_to_mysql".format(type_name))(value)
  File "/usr/local/lib/python3.3/site-packages/mysql/connector/conversion.py", line 233, in _str_to_mysql
    return self._unicode_to_mysql(value)
  File "/usr/local/lib/python3.3/site-packages/mysql/connector/conversion.py", line 242, in _unicode_to_mysql
    encoded = value.encode(charset)
UnicodeEncodeError: 'utf-8' codec can't encode character '\udcc2' in position 14: surrogates not allowed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/System/opds/py/sopdsd.py", line 338, in <module>
    daemon.start()
  File "/mnt/System/opds/py/sopdsd.py", line 292, in start
    Daemon.start(self)
  File "/mnt/System/opds/py/sopdsd.py", line 146, in start
    self.run()
  File "/mnt/System/opds/py/sopdsd.py", line 327, in run
    self.run_scanner()
  File "/mnt/System/opds/py/sopdsd.py", line 318, in run_scanner
    self.scanner.scan_all()
  File "/mnt/System/opds/py/sopdscan.py", line 91, in scan_all
    self.processfile(name,full_path,file,0,file_size)
  File "/mnt/System/opds/py/sopdscan.py", line 137, in processfile
    if self.opdsdb.findbook(name,rel_path,1)==0:
  File "/mnt/System/opds/py/sopdsdb.py", line 106, in findbook
    cursor.execute(sql_findbook,data_findbook)
  File "/usr/local/lib/python3.3/site-packages/mysql/connector/cursor.py", line 503, in execute
    psub = _ParamSubstitutor(self._process_params(params))
  File "/usr/local/lib/python3.3/site-packages/mysql/connector/cursor.py", line 386, in _process_params
    "Failed processing format-parameters; %s" % err)
mysql.connector.errors.ProgrammingError: Failed processing format-parameters; 'utf-8' codec can't encode character '\udcc2' in position 14: surrogates not allowed
. Как это можно исправить?
Last Edit: 2 years 5 months ago by zhuravel.

Please Войти or Create an account to join the conversation.

  • zhuravel
  • zhuravel's Avatar Topic Author
  • Offline
  • Захожу иногда
  • Захожу иногда
More
2 years 5 months ago #445 by mitshel
mitshel replied the topic: Ошибка: UnicodeEncodeError: 'utf-8' codec can't en
Какая-то проблема во время сканирования
попробуйте запустить команду
sopds-scan.py -v.
И напишите каков результат.

Please Войти or Create an account to join the conversation.

  • mitshel
  • mitshel's Avatar
  • Offline
  • Администратор
  • Администратор
More
2 years 5 months ago - 2 years 5 months ago #446 by zhuravel
zhuravel replied the topic: Ошибка: UnicodeEncodeError: 'utf-8' codec can't en
nas4free: ~ # cd /mnt/System/opds/py
nas4free: py # ./sopds-scan.py -v
2015-11-03 18:25:57,897 INFO      ***** Starting sopds-scan...
2015-11-03 18:25:57,898 DEBUG    OPTIONS SET
2015-11-03 18:25:57,899 DEBUG    configfile = /mnt/System/opds/conf/sopds.conf
2015-11-03 18:25:57,899 DEBUG    root_lib = /mnt/Disk 1/BOOKS
2015-11-03 18:25:57,900 DEBUG    temp_dir = /tmp
2015-11-03 18:25:58,259 DEBUG    Skip ZIP archive 123536-125161.zip. Already scanned.
2015-11-03 18:25:58,260 DEBUG    Attempt to add book ./Vikhrev_Fedor «Vedu_boi!»_2012_Vtoraya_Velikaya_Otechestvennaya.fb2
2015-11-03 18:25:58,279 DEBUG    Book ./Vikhrev_Fedor «Vedu_boi!»_2012_Vtoraya_Velikaya_Otechestvennaya.fb2 Already in DB.
2015-11-03 18:25:58,280 DEBUG    Attempt to add book ./Vikhrev_Fedor Tretii_front._Partizany_iz_budushchego.fb2
2015-11-03 18:25:58,287 DEBUG    Book ./Vikhrev_Fedor Tretii_front._Partizany_iz_budushchego.fb2 Already in DB.
2015-11-03 18:25:58,430 INFO     Books added      : 0
2015-11-03 18:25:58,431 INFO     Books skipped    : 2
2015-11-03 18:25:58,432 INFO     Books DB entries deleted : 0
2015-11-03 18:25:58,433 INFO     Books in archives: 0
2015-11-03 18:25:58,434 INFO     Archives scanned : 0
2015-11-03 18:25:58,435 INFO     Archives skipped : 1
2015-11-03 18:25:58,436 INFO     Bad archives     : 0
2015-11-03 18:25:58,436 INFO     Time estimated:0 hours, 0 minutes, 0 seconds.
2015-11-03 18:25:58,437 INFO     Starting mark_double proc with DUBLICATES_FIND param = 1
2015-11-03 18:25:59,805 INFO     Finishing mark_double proc in 0 hours, 0 minutes, 1 seconds.
И web страница не загружается из-за ошибки постом выше.
Last Edit: 2 years 5 months ago by zhuravel.

Please Войти or Create an account to join the conversation.

  • zhuravel
  • zhuravel's Avatar Topic Author
  • Offline
  • Захожу иногда
  • Захожу иногда
More
2 years 5 months ago - 2 years 5 months ago #453 by zhuravel
zhuravel replied the topic: Ошибка: UnicodeEncodeError: 'utf-8' codec can't en
День добрый. В общем, я разобрался. Ошибка описанная в начале появляется если команду на рестарт sopds cataloga выполняешь из веб интерфейса Nas. Если команду выполнять ./sopdsd.py restart в PuTTY то этой ошибки нет. Возможно ли это подправить? И еще вопрос, когда переходишь в opds на список книг, то отображается названия книг, так должно быть? Если можно выложить скрины веб интерфейса и opds каталога какие они должны быть.
Last Edit: 2 years 5 months ago by zhuravel.

Please Войти or Create an account to join the conversation.

  • zhuravel
  • zhuravel's Avatar Topic Author
  • Offline
  • Захожу иногда
  • Захожу иногда
More
2 years 5 months ago #454 by mitshel
mitshel replied the topic: Ошибка: UnicodeEncodeError: 'utf-8' codec can't en
А что вы ожидали увидеть при переходе на список книг???

Please Войти or Create an account to join the conversation.

  • mitshel
  • mitshel's Avatar
  • Offline
  • Администратор
  • Администратор
More
2 years 5 months ago - 2 years 5 months ago #455 by zhuravel
zhuravel replied the topic: Ошибка: UnicodeEncodeError: 'utf-8' codec can't en
При переходе, наименование, анотацию.. ссылку на скачивание или на книгу на сайте ( web )
Last Edit: 2 years 5 months ago by zhuravel.

Please Войти or Create an account to join the conversation.

  • zhuravel
  • zhuravel's Avatar Topic Author
  • Offline
  • Захожу иногда
  • Захожу иногда
More
Time to create page: 0.368 seconds